package com.ecom.park_jy;


import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentPagerAdapter;

public class Skin_Road_list_adapter extends FragmentPagerAdapter {
    public Skin_Road_list_adapter(FragmentManager fm) {
        super(fm);
    }

    @Override
    public Fragment getItem(int position) {
        if (position == 1) {
            return new Skin_Road_list_fragment_2();
        }
        if (position == 2) {
            return new Skin_Road_list_fragment_3();
        }
        if (position == 3) {
            return new Skin_Road_list_fragment_4();
        }
        if (position == 4) {
            return new Skin_Road_list_fragment_5();
        }
        if (position == 5) {
            return new Skin_Road_list_fragment_6();
        }
        if (position == 6) {
            return new Skin_Road_list_fragment_7();
        }
        if (position == 7) {
            return new Skin_Road_list_fragment_8();
        }
        if (position == 8) {
            return new Skin_Road_list_fragment_9();
        }
        if (position == 9) {
            return new Skin_Road_list_fragment_10();
        }
        if (position == 10) {
            return new Skin_Road_list_fragment_11();
        }
        if (position == 11) {
            return new Skin_Road_list_fragment_12();
        }
        if (position == 12) {
            return new Skin_Road_list_fragment_13();
        }
        if (position == 13) {
            return new Skin_Road_list_fragment_14();
        }
        if (position == 14) {
            return new Skin_Road_list_fragment_15();
        }
        if (position == 15) {
            return new Skin_Road_list_fragment_16();
        }
        if (position == 16) {
            return new Skin_Road_list_fragment_17();
        }
        if (position == 17) {
            return new Skin_Road_list_fragment_18();
        }
        if (position == 18) {
            return new Skin_Road_list_fragment_19();
        }
        if (position == 19) {
            return new Skin_Road_list_fragment_27();
        }
        if (position == 20) {
            return new Skin_Road_list_fragment_20();
        }
        if (position == 21) {
            return new Skin_Road_list_fragment_21();
        }
        if (position == 22) {
            return new Skin_Road_list_fragment_22();
        }
        if (position == 23) {
            return new Skin_Road_list_fragment_23();
        }
        if (position == 24) {
            return new Skin_Road_list_fragment_24();
        }
        if (position == 25) {
            return new Skin_Road_list_fragment_25();
        }
        if (position == 26) {
            return new Skin_Road_list_fragment_26();
        }
        return new Skin_Road_list_fragment_1();
    }

    @Override
    public int getCount() {
        return Road_list.listRoad.size();
    }
}
